<div class="row mt-4">
  <div class="col-12">
    <div class="card">
      <div class="card-heading">
        <h5>Abos</h5>
      </div>
      <div class="card-body d-flex justify-content-center" *ngIf="!(products && actualOrgaAbos && actualMetadata)">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
      <div class="card-body" *ngIf="products && actualOrgaAbos && actualMetadata">
        <div class="row mb-3">
          <div class="col-12 d-flex justify-content-between">
            <div class="p-1">
              <button class="btn btn-outline-info" routerLink="/organizations/{{organizationId}}/abo">zurück zur Übersicht</button>
            </div>
            <section class="labeled-radio">
              <input type="radio" name="productPeriod" id="periodMonth" [(ngModel)]="productPeriod" [value]="'month'">
              <label for="periodMonth"><i class="fas fa-check mr-2"
                                          *ngIf="productPeriod == 'month'"></i>monatlich</label>
              <input type="radio" name="productPeriod" id="periodYear" [(ngModel)]="productPeriod" [value]="'year'">
              <label for="periodYear"> <i class="fas fa-check mr-2" *ngIf="productPeriod == 'year'"></i>jährlich</label>
            </section>
          </div>
        </div>
        <div class="card-deck mb-3 text-center">
          <ng-container *ngFor="let product of products">
            <ng-container *ngFor="let plan of product.plans | filterBy: ['interval']: productPeriod">
              <div class="card mb-4">
                <div class="card-header" [ngClass]="{'bg-primary text-white': isActualPlan(plan)}">
                  <h4 class="font-weight-normal">{{product.name}}</h4>
                </div>
                <div class="card-body">
                  <h1 class="card-title">
                    {{ plan.amount / 100 }} €
                    <small class="text-muted" *ngIf="plan.interval == 'month'">/ Monat</small>
                    <small class="text-muted" *ngIf="plan.interval == 'year'">/ Jahr</small>
                  </h1>
                  <ul class="list-unstyled mt-3 mb-4">
                    <li>maximal {{product.metadata.maxUsers}} Nutzer</li>
                    <li>bis zu {{product.metadata.maxEnsembles}} Ensembles</li>
                  </ul>
                  <p class="text-danger" *ngIf="!isAboPossible(product.metadata)">
                    Dein Verein erfüllt nicht die Voraussetzungen für dieses Abo:
                    Du hast akutell {{actualMetadata.users}} Mitglieder und {{actualMetadata.ensembles}} Ensembles.
                  </p>
                  <button type="button" class="btn btn-lg btn-block btn-outline-primary"
                          (click)="aboCheckout(plan)" *ngIf="!isActualPlan(plan) && isAboPossible(product.metadata)">
                    <span *ngIf="isNewAbo">Abo abschließen</span>
                    <span *ngIf="!isNewAbo">Abo wechseln</span>
                  </button>
                  <button type="button" class="btn btn-lg btn-block btn-primary"
                          routerLink="{{plan.id}}/checkout" *ngIf="isActualPlan(plan)" [disabled]="isActualPlan(plan)">
                    aktuelles Abo
                  </button>
                </div>
              </div>
            </ng-container>
          </ng-container>
        </div>
      </div>
    </div>
  </div>
</div>